<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/Vehicles/ActionStopEngine.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/dd0/_action_stop_engine_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionStopEngine.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/dd0/_action_stop_engine_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../dc/d0e/class_action_stop_engine.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/d0e/class_action_stop_engine.html">ActionStopEngine</a>: <a class="code hl_class" href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../dc/d0e/class_action_stop_engine.html#a8e5d7bc1eaceeaf23899798570ad36be">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d0e/class_action_stop_engine.html#a8e5d7bc1eaceeaf23899798570ad36be">ActionStopEngine</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a>    = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_STOPENGINE;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a>    = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_CROUCH | <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a>          = <span class="stringliteral">&quot;#stop_engine&quot;</span>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../dc/d0e/class_action_stop_engine.html#aae38cc3953f999fc90376955755c8fa6">   10</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d0e/class_action_stop_engine.html#aae38cc3953f999fc90376955755c8fa6">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a>     = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a>   = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../dc/d0e/class_action_stop_engine.html#a616270461e09a6d5ab1a8e9a68bdfaf6">   16</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/d0e/class_action_stop_engine.html#a616270461e09a6d5ab1a8e9a68bdfaf6">ActionCondition</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {   </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_class" href="../../d1/d1f/class_human_command_vehicle.html">HumanCommandVehicle</a> vehCmd = player.GetCommand_Vehicle();           </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">if</span> (vehCmd &amp;&amp; vehCmd.<a class="code hl_function" href="../../d1/d1f/class_human_command_vehicle.html#a5f5421a17754e2571edfba6b552f8659">GetVehicleSeat</a>() == <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.VEHICLESEAT_DRIVER)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            <a class="code hl_class" href="../../d3/d36/class_transport.html">Transport</a> trans = vehCmd.<a class="code hl_function" href="../../d1/d1f/class_human_command_vehicle.html#a18b717b3c3242230c10df1b46beb7159">GetTransport</a>();</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            <span class="keywordflow">if</span> (trans)</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>                Car car;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>                <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(car, trans) &amp;&amp; car.EngineIsOn())</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>                {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>                    <span class="keywordflow">return</span> car.<a class="code hl_function" href="../../d3/d36/class_transport.html#a4a5f739ae1d537cbeaf85a7822f8a99a">GetSpeedometerAbsolute</a>() &lt;= 8;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>                }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../dc/d0e/class_action_stop_engine.html#a149a414b158109b1a898e23aaab43659">   35</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d0e/class_action_stop_engine.html#a149a414b158109b1a898e23aaab43659">OnExecuteServer</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_class" href="../../d1/d1f/class_human_command_vehicle.html">HumanCommandVehicle</a> vehCmd = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetCommand_Vehicle();</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">if</span> (vehCmd)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <a class="code hl_class" href="../../d3/d36/class_transport.html">Transport</a> trans = vehCmd.<a class="code hl_function" href="../../d1/d1f/class_human_command_vehicle.html#a18b717b3c3242230c10df1b46beb7159">GetTransport</a>();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            <span class="keywordflow">if</span> (trans)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                <a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a> car;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                <span class="keywordflow">if</span> (<a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(car, trans))</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                    car.EngineStop();</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }   </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../dc/d0e/class_action_stop_engine.html#a028d96e0315bed9e7bf7a8d58d6e0d00">   52</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d0e/class_action_stop_engine.html#a028d96e0315bed9e7bf7a8d58d6e0d00">OnExecuteClient</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data) {}</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../dc/d0e/class_action_stop_engine.html#aca7a0087f262f1391fdbf7558b1f715a">   54</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/d0e/class_action_stop_engine.html#aca7a0087f262f1391fdbf7558b1f715a">CanBeUsedInVehicle</a>()</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../dc/d0e/class_action_stop_engine.html#a826a26a103b06d28c69f2f3778fe446f">   59</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/d0e/class_action_stop_engine.html#a826a26a103b06d28c69f2f3778fe446f">UseMainItem</a>()</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_single_use_base_html"><div class="ttname"><a href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d93/_action_single_use_base_8c_source.html#l00041">ActionSingleUseBase.c:42</a></div></div>
<div class="ttc" id="aclass_action_stop_engine_html"><div class="ttname"><a href="../../dc/d0e/class_action_stop_engine.html">ActionStopEngine</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd0/_action_stop_engine_8c_source.html#l00001">ActionStopEngine.c:2</a></div></div>
<div class="ttc" id="aclass_action_stop_engine_html_a028d96e0315bed9e7bf7a8d58d6e0d00"><div class="ttname"><a href="../../dc/d0e/class_action_stop_engine.html#a028d96e0315bed9e7bf7a8d58d6e0d00">ActionStopEngine::OnExecuteClient</a></div><div class="ttdeci">override void OnExecuteClient(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd0/_action_stop_engine_8c_source.html#l00052">ActionStopEngine.c:52</a></div></div>
<div class="ttc" id="aclass_action_stop_engine_html_a149a414b158109b1a898e23aaab43659"><div class="ttname"><a href="../../dc/d0e/class_action_stop_engine.html#a149a414b158109b1a898e23aaab43659">ActionStopEngine::OnExecuteServer</a></div><div class="ttdeci">override void OnExecuteServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd0/_action_stop_engine_8c_source.html#l00035">ActionStopEngine.c:35</a></div></div>
<div class="ttc" id="aclass_action_stop_engine_html_a616270461e09a6d5ab1a8e9a68bdfaf6"><div class="ttname"><a href="../../dc/d0e/class_action_stop_engine.html#a616270461e09a6d5ab1a8e9a68bdfaf6">ActionStopEngine::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd0/_action_stop_engine_8c_source.html#l00016">ActionStopEngine.c:16</a></div></div>
<div class="ttc" id="aclass_action_stop_engine_html_a826a26a103b06d28c69f2f3778fe446f"><div class="ttname"><a href="../../dc/d0e/class_action_stop_engine.html#a826a26a103b06d28c69f2f3778fe446f">ActionStopEngine::UseMainItem</a></div><div class="ttdeci">override bool UseMainItem()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd0/_action_stop_engine_8c_source.html#l00059">ActionStopEngine.c:59</a></div></div>
<div class="ttc" id="aclass_action_stop_engine_html_a8e5d7bc1eaceeaf23899798570ad36be"><div class="ttname"><a href="../../dc/d0e/class_action_stop_engine.html#a8e5d7bc1eaceeaf23899798570ad36be">ActionStopEngine::ActionStopEngine</a></div><div class="ttdeci">void ActionStopEngine()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd0/_action_stop_engine_8c_source.html#l00003">ActionStopEngine.c:3</a></div></div>
<div class="ttc" id="aclass_action_stop_engine_html_aae38cc3953f999fc90376955755c8fa6"><div class="ttname"><a href="../../dc/d0e/class_action_stop_engine.html#aae38cc3953f999fc90376955755c8fa6">ActionStopEngine::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd0/_action_stop_engine_8c_source.html#l00010">ActionStopEngine.c:10</a></div></div>
<div class="ttc" id="aclass_action_stop_engine_html_aca7a0087f262f1391fdbf7558b1f715a"><div class="ttname"><a href="../../dc/d0e/class_action_stop_engine.html#aca7a0087f262f1391fdbf7558b1f715a">ActionStopEngine::CanBeUsedInVehicle</a></div><div class="ttdeci">override bool CanBeUsedInVehicle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd0/_action_stop_engine_8c_source.html#l00054">ActionStopEngine.c:54</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_none_html"><div class="ttname"><a href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d1b/_c_c_t_none_8c_source.html#l00001">CCTNone.c:2</a></div></div>
<div class="ttc" id="aclass_car_script_html"><div class="ttname"><a href="../../de/d59/class_car_script.html">CarScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00001">CivilianSedan.c:2</a></div></div>
<div class="ttc" id="aclass_human_command_vehicle_html"><div class="ttname"><a href="../../d1/d1f/class_human_command_vehicle.html">HumanCommandVehicle</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00665">human.c:666</a></div></div>
<div class="ttc" id="aclass_human_command_vehicle_html_a18b717b3c3242230c10df1b46beb7159"><div class="ttname"><a href="../../d1/d1f/class_human_command_vehicle.html#a18b717b3c3242230c10df1b46beb7159">HumanCommandVehicle::GetTransport</a></div><div class="ttdeci">proto native Transport GetTransport()</div></div>
<div class="ttc" id="aclass_human_command_vehicle_html_a5f5421a17754e2571edfba6b552f8659"><div class="ttname"><a href="../../d1/d1f/class_human_command_vehicle.html#a5f5421a17754e2571edfba6b552f8659">HumanCommandVehicle::GetVehicleSeat</a></div><div class="ttdeci">proto native int GetVehicleSeat()</div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_transport_html"><div class="ttname"><a href="../../d3/d36/class_transport.html">Transport</a></div><div class="ttdoc">Base native class for all motorized wheeled vehicles.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d06/_car_8c_source.html#l00079">Car.c:80</a></div></div>
<div class="ttc" id="aclass_transport_html_a4a5f739ae1d537cbeaf85a7822f8a99a"><div class="ttname"><a href="../../d3/d36/class_transport.html#a4a5f739ae1d537cbeaf85a7822f8a99a">Transport::GetSpeedometerAbsolute</a></div><div class="ttdeci">float GetSpeedometerAbsolute()</div><div class="ttdoc">Returns the current speed of the vehicle in km/h. Value is absolute.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d06/_car_8c_source.html#l00088">Car.c:88</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../dir_8fcfdd8ad8ab38dfee6f851e81e47fcf.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../d9/dd0/_action_stop_engine_8c.html">ActionStopEngine.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
